<p>
This example demonstrates how you can access data from different layers with a custom
GeoJSON rendering plugin. This app provides a sample plugin for the schema of the Places for {{book.standard.brandName}} Essential Map
layer in the <a href = "{% if book.filtered.RoW %}https://platform.here.com/data/hrn:here:data::olp-here:rib-2/overview{% else %}https://platform.hereolp.cn/data/hrn:here-cn:data::olp-cn-here:here-map-content-china-2/overview{% endif %}">{{book.standard.brandName}} Map Content</a>
catalog that extracts data from the <a href = "{% if book.filtered.RoW %}https://platform.here.com/data/hrn:here:data::olp-here:rib-2/places-metadata/overview{% else %}https://platform.hereolp.cn/data/hrn:here-cn:data::olp-cn-here:here-map-content-china-2/places-metadata/overview{% endif %}">Places Metadata</a> layer to show category names for places. The plugin contains inline comments
to help you better understand how it works.</p>

<p>
For more information on how to implement multi-layer data access from rendering plugins, see
<a href = "{% if book.filtered.RoW %}https://developer.here.com/documentation/data-inspector-library/dev_guide/pages/rendering-plugins-functions.html{% else %}https://developer.here.com/cn/documentation/data-inspector-library/dev_guide/pages/rendering-plugins-functions.html{% endif %}"</a>Rendering Functions.</p>