/*
* Copyright (C) 2020-2024 HERE Global B.V. and its affiliate(s). All rights reserved.
*
* This software and other materials contain proprietary information controlled by HERE and are
* protected by applicable copyright legislation. Any use and utilization of this software and other
* materials and disclosure to any third parties is conditional upon having a separate agreement
* with HERE for the access, use, utilization or disclosure of this software. In the absence of such
* agreement, the use of the software is not allowed.
*/

export const files = {
    "highlighted": [
        {
            "file": "verity_control_DI",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false,
            "title": "Control the Visualization"
        },
        {
            "file": "verity_interactive_DI_basic",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false,
            "title": "Embed a Visualization in a TypeScript Application"
        },
        {
            "file": "verity_token_provider",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": true,
            "isNew": false,
            "title": "Token provider"
        },
        {
            "file": "verity_interactive_DI_full",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false,
            "title": "Data Inspector full setup"
        },
        {
            "file": "verity_js_integration_cn",
            "devMode": false,
            "viewSrc": "dist/verity_js_integration_cn.html",
            "isHTMLOnly": true,
            "isNew": false,
            "title": "HTML+JS single page application"
        },
        {
            "file": "verity_leaflet_geojson_cn",
            "devMode": true,
            "viewSrc": "verity_leaflet_geojson.js",
            "isHTMLOnly": true,
            "isNew": false,
            "title": "GeoJSON with leaflet"
        },
        {
            "file": "verity_leaflet_protobuf_cn",
            "devMode": true,
            "viewSrc": "verity_leaflet_protobuf.js",
            "isHTMLOnly": true,
            "isNew": false,
            "title": "Encoded data with leaflet"
        }
    ],
    "other": [
        {
            "file": "other_omv_plus_v2",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_sdii_DI",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_sdii_DI_animated",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_sdii_DI_plugin",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_simple",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_without_dataservice",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_DI_plugin",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_properties",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_bounding_box",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_tilegrid",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_events",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_contenttype_versioned",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geometrydataprovider_speedlimits_DI",
            "devMode": false,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_interactive_DI_default",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_interactive_DI_minimal",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_rib_multilayer",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "other_geojson_from_file_DI",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        }
    ],
    "automation": [
        {
            "file": "automation_performance_geojson",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "automation_performance_rib_building",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "automation_performance_rib_carto",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        },
        {
            "file": "automation_performance_rib_topology",
            "devMode": true,
            "viewSrc": null,
            "isHTMLOnly": false,
            "isNew": false
        }
    ]
};
