/*
 * Copyright (C) 2017-2021 HERE Global B.V. and its affiliate(s). All rights reserved.
 *
 * This software and other materials contain proprietary information controlled by HERE and are
 * protected by applicable copyright legislation. Any use and utilization of this software and other
 * materials and disclosure to any third parties is conditional upon having a separate agreement
 * with HERE for the access, use, utilization or disclosure of this software. In the absence of such
 * agreement, the use of the software is not allowed.
 */

const copyfiles = require("copyfiles");

function onCopyError(err) {
    if (err !== undefined) {
        console.log(err);
    }
}

copyfiles(["./node_modules/three/build/three.min.js", "dist"], { up: true }, onCopyError);
copyfiles(["./node_modules/@here/harp-fontcatalog/resources/**/*", "dist/resources/fonts"], { up: 4 }, onCopyError);
copyfiles(["./node_modules/@here/harp-miami-style/resources/**/*", "dist/resources"], { up: 4 }, onCopyError);

copyfiles(["./node_modules/streamsaver/mitm.html", "dist/resources/mitm"], { up: true }, onCopyError);
copyfiles(["./node_modules/streamsaver/sw.js", "dist/resources/mitm"], { up: true }, onCopyError);

copyfiles(["./node_modules/@here/interactive-mapview-ui/resources/i18n/*", "dist/resources/i18n"], { up: true }, onCopyError);