<p>The <code>leaflet / protobuf</code> example demonstrates how you can use JavaScript to authenticate with the {{book.standard.platformName}}
and access Protobuf-encoded data in the <i>Roads - Topology & Geometry</i> layer from the <a href = "{% if book.filtered.RoW %}{{book.filtered.portalUrlBase}}/data/{{book.filtered.hrnPrefix}}rib-2{% else %}{{book.filtered.portalUrlBase}}/data/{{book.filtered.hrnPrefix}}here-map-content-china-2{% endif %}">{{book.standard.brandName}} Map Conent</a> catalog with the <a href = "https://github.com/heremaps/here-olp-sdk-typescript">{{book.standard.brandName}} Data SDK for TypeScript</a>,
how to retrieve a schema from the layer and use it to decode the data into GeoJSON,
how to show the OMV Plus base map using the <a href = "https://www.npmjs.com/package/@here/harp-leaflet?activeTab=readme">HARP plugin for Leaflet</a>,
and how to visualize the data on top of the base map. For more details, see <a href = "{{book.filtered.docsPortalUrl}}/data-inspector-library/dev_guide/pages/visualize-with-leaflet.html">Inspect HERE Platform Data with Leaflet</a>.</p>