/*
 * Copyright (C) 2018-2024 HERE Global B.V. and its affiliate(s). All rights reserved.
 *
 * This software and other materials contain proprietary information controlled by HERE and are
 * protected by applicable copyright legislation. Any use and utilization of this software and other
 * materials and disclosure to any third parties is conditional upon having a separate agreement
 * with HERE for the access, use, utilization or disclosure of this software. In the absence of such
 * agreement, the use of the software is not allowed.
 */

/*
 * This file is initializing decoders for the data.
 */

import { CoverageTileDecoderService } from "@here/coverage-datasource/lib/CoverageDecoder";
import OmvWorkerClient from "@here/harp-omv-datasource/lib/OmvDecoder";
import { RibWorkerClient } from "@here/rib-datasource/lib/RibDecoder";

new OmvWorkerClient();
new RibWorkerClient();
CoverageTileDecoderService.start();